summaryrefslogtreecommitdiffstats
path: root/system/man-pages-ru
diff options
context:
space:
mode:
author Anton Sil'uev2013-02-24 15:02:46 +0100
committer Robby Workman2013-02-25 05:53:54 +0100
commit8237a7cebb49671f9daa762e55faaf6a5b0fc953 (patch)
treeecbccf5b2b8b7d9e66e330a66cc7fc8fc387250a /system/man-pages-ru
parente44512a799a0c25798b6167e79e1ef4fc8917913 (diff)
downloadslackbuilds-8237a7cebb49671f9daa762e55faaf6a5b0fc953.tar.gz
system/man-pages-ru: Added (Russian man pages)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/man-pages-ru')
-rw-r--r--system/man-pages-ru/README1
-rw-r--r--system/man-pages-ru/man-pages-ru.SlackBuild75
-rw-r--r--system/man-pages-ru/man-pages-ru.info10
-rw-r--r--system/man-pages-ru/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/system/man-pages-ru/README b/system/man-pages-ru/README
new file mode 100644
index 0000000000..4f1cbb922c
--- /dev/null
+++ b/system/man-pages-ru/README
@@ -0,0 +1 @@
+Russian translation for system man pages version 3.41
diff --git a/system/man-pages-ru/man-pages-ru.SlackBuild b/system/man-pages-ru/man-pages-ru.SlackBuild
new file mode 100644
index 0000000000..0f3ae2ae95
--- /dev/null
+++ b/system/man-pages-ru/man-pages-ru.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh -e
+
+# Slackware build script for man-pages-ru
+
+# Copyright 2013 Anton Sil'uev, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=man-pages-ru
+VERSION=${VERSION:-3.41_20130102} # Set the version to something sane.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVERSION=${SRCVERSION:-$(echo $PRGNAM_*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM\_$SRCVERSION
+tar xvf $CWD/$PRGNAM\_$SRCVERSION.tar.bz2
+cd $PRGNAM\_$SRCVERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/man/ru
+for section in 1 2 3 4 5 6 7 8 ; do
+ mv man$section $PKG/usr/man/ru
+done
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# This one is included in Slackware.
+rm $PKG/usr/man/ru/man5/passwd.5.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README License \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/man-pages-ru/man-pages-ru.info b/system/man-pages-ru/man-pages-ru.info
new file mode 100644
index 0000000000..3ea60886d4
--- /dev/null
+++ b/system/man-pages-ru/man-pages-ru.info
@@ -0,0 +1,10 @@
+PRGNAM="man-pages-ru"
+VERSION="3.41_20130102"
+HOMEPAGE="http://man-pages-ru.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/man-pages-ru/files/man-pages-ru_3.41-2145-1724-20130102.tar.bz2"
+MD5SUM="2fc85340225409fe8d5dfbf90b2a0575"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Anton Sil'uev"
+EMAIL="burning2007@ya.ru"
diff --git a/system/man-pages-ru/slack-desc b/system/man-pages-ru/slack-desc
new file mode 100644
index 0000000000..0255970528
--- /dev/null
+++ b/system/man-pages-ru/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+man-pages-ru: man-pages-ru (Russian system documentation)
+man-pages-ru:
+man-pages-ru: Russian translation files for man pages
+man-pages-ru:
+man-pages-ru: Visit http://man-pages-ru.sourceforge.net/ for details.
+man-pages-ru:
+man-pages-ru:
+man-pages-ru:
+man-pages-ru:
+man-pages-ru:
+man-pages-ru: